import type { ReactElement, RefObject } from 'react';
import type { ModalProps, ViewStyle } from 'react-native';
export declare type IPopoverArrowProps = {
    height?: number;
    width?: number;
    children?: React.ReactNode;
    color?: string;
    style?: ViewStyle;
};
export declare type IPopoverArrowImplProps = {
    placement?: string;
    arrowProps: IArrowProps;
    width: number;
    height: number;
    style: ViewStyle;
} & IPopoverArrowProps;
export declare type IArrowProps = {
    style: Object;
};
export declare type OverlayType = 'single' | 'multiple';
export declare type IPopoverProps = {
    focusable?: boolean;
    mode?: OverlayType;
    disableAriaAttributes?: boolean;
    defaultIsOpen?: boolean;
    on?: 'press' | 'longPress' | 'hover';
    isOpen?: boolean;
    onOpenChange?: (value: boolean) => void;
    shouldFlip?: boolean;
    crossOffset?: number;
    offset?: number;
    children: React.ReactNode;
    shouldOverlapWithTrigger?: boolean;
    trigger: ReactElement | RefObject<any>;
    animated?: boolean;
    animationEntryDuration?: number;
    animationExitDuration?: number;
    shouldCloseOnOutsideClick?: boolean;
    onRequestClose?: ModalProps['onRequestClose'];
    placement?: 'top' | 'bottom' | 'left' | 'right' | 'top left' | 'top right' | 'bottom left' | 'bottom right' | 'right top' | 'right bottom' | 'left top' | 'left bottom';
    isKeyboardDismissable?: boolean;
    autoFocus?: boolean;
    trapFocus?: boolean;
    restoreFocus?: boolean;
};
export declare type IPopoverContentImpl = {
    arrowHeight: number;
    arrowWidth: number;
    placement?: string;
    children: any;
};
export declare type IPopoverContent = {
    children: React.ReactNode;
    accessibilityLabel?: string;
};
export declare type IArrowStyles = {
    placement?: string;
    height?: number;
    width?: number;
};
export declare type IScrollContentStyle = {
    placement?: string;
    arrowHeight: number;
    arrowWidth: number;
};
export declare type IOverlayProps = {
    mode?: OverlayType;
    focusable?: boolean;
    isOpen: boolean;
    children: any;
    onClose: any;
    isKeyboardDismissable?: boolean;
    shouldCloseOnOutsideClick?: boolean;
    autoFocus?: boolean;
    restoreFocus?: boolean;
    trapFocus?: boolean;
    animated?: boolean;
    animationEntryDuration?: number;
    animationExitDuration?: number;
    overlayRef?: RefObject<any>;
    triggerRef?: RefObject<any>;
    onRequestClose?: ModalProps['onRequestClose'];
};
